# Class CIM_AggregatePSExtentBasedOnAggregatePExtent
extends CIM_BasedOn

This association is deprecated in lieu of ProtectedSpaceBasedOn, since AggregatePExtents and AggregatePSExtents are themselves deprecated. The association describes that AggregatePSExtents are BasedOn a single AggregatePExtent.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_AggregatePSExtentBasedOnAggregatePExtent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ProtectedExtentBasedOn
Description | string | This association is deprecated in lieu of ProtectedSpaceBasedOn, since AggregatePExtents and AggregatePSExtents are themselves deprecated. The association describes that AggregatePSExtents are BasedOn a single AggregatePExtent.
UMLPackagePath | string | CIM::Device::SccExtents
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AggregatePSExtentBasedOnAggregatePExtent | CIM_AggregatePExtent
Dependent | CIM_AggregatePSExtentBasedOnAggregatePExtent | CIM_AggregatePSExtent

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
OrderIndex | uint16 | CIM_BasedOn
StartingAddress | uint64 | CIM_BasedOn

## Class Methods